# module Busy

### Constants

TkCommandNames

### Public Class Methods

current
forget
hold
method_missing
status

### Private Class Methods

__item_cget_cmd
__item_config_cmd
__item_confinfo_cmd
check(win) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 77
    def check(win)
      bool(tk_call('::blt::busy', 'check', win))
    end

is_busy(pat=None) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 68
    def is_busy(pat=None)
      tk_split_list(tk_call('::blt::busy', 'isbusy', pat))
    end

names(pat=None) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 72
    def names(pat=None)
      tk_split_list(tk_call('::blt::busy', 'names', pat))
    end

Also aliased as: windows
release(*wins) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 60
    def release(*wins)
      tk_call('::blt::busy', 'release', *wins)
    end

shield_path(win) click to toggle source

    # File lib/tkextlib/blt/busy.rb, line 35
    def self.shield_path(win)
      Tk::BLT::Busy::Shield.shield_path(win)
    end

windows(pat=None)
Alias for: names

### Public Instance Methods

busy
busy_cget
busy_configinfo
busy_configure
busy_current?
busy_current_configinfo
busy_forget
busy_hold
busy_status